<html lang="en">
<head>
	<meta charset="utf-8">
	<title>Order Date Search</title>
</head>
<body>
<?php
include('mysqli_connect_car.php');

// month array
$months = [
    'January' => '01',
    'February' => '02',
    'March' => '03',
    'April' => '04',
    'May' => '05',
    'June' => '06',
    'July' => '07',
    'August' => '08',
    'September' => '09',
    'October' => '10',
    'November' => '11',
    'December' => '12'
];

// Convert the submitted month names into numeric values to match the phpmyadmin database 
$start_month_numeric = $months[$_POST['start_month']];
$end_month_numeric = $months[$_POST['end_month']];


//start date
// STR_PAD_LEFT is to make sure it uses two digits https://www.w3schools.com/php/func_string_str_pad.asp
$startdate = $_POST['start_year'] . '-' . $start_month_numeric . '-' . str_pad($_POST['start_day'], 2, '0', STR_PAD_LEFT);

//end date
$enddate = $_POST['end_year'] . '-' . $end_month_numeric . '-' . str_pad($_POST['end_day'], 2, '0', STR_PAD_LEFT);

$query = "SELECT * FROM `orders` WHERE orderDate >= '$startdate' AND orderDate <= '$enddate'"; //assume user input is valid 'YYYY-MM-DD'

echo $query. "<br><br>";

echo "Searching for order between $startdate and $enddate.....<br><br>";

$result = mysqli_query($dbc, $query); // check if the query working, phpmyadmin

$row_cnt = mysqli_num_rows($result);

echo "In total, the number of retrieved rows is $row_cnt"."<br><br>";

while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)){
    echo $row['orderNumber']." | ".$row['orderDate']." | ".$row['status']."<br><br>";//check colum names set up in database 
}
?>
</body>
</html>